package com.eactive.eai.transformer.layout;

import com.eactive.eai.transformer.TransformerException;

public class LayoutInitializationException extends TransformerException {
	private static final long serialVersionUID = 4860857769791633051L;
	private final String layoutName;

    public LayoutInitializationException(String message, String layoutName) {
        this(message, layoutName, null);
    }

    public LayoutInitializationException(String message, String layoutName,
        Throwable cause) {
        super(layoutName + " | " + message, cause);
        this.layoutName = layoutName;
    }

    public String getLayoutName() {
        return layoutName;
    }
}
